dht::crypto::secure_vector< T > Class Template Reference

## Public Member Functions

| secure_vector (secure_vector< T > const &)=default
| secure_vector (secure_vector< T > &&)=default
| secure_vector (unsigned size)
| secure_vector (unsigned size, T _item)
| secure_vector (const std::vector< T > &c)
| secure_vector (std::vector< T > &&c)
secure_vector< T > & | operator= (const secure_vector< T > &c)
secure_vector< T > & | operator= (secure_vector< T > &&c)
secure_vector< T > & | operator= (std::vector< T > &&c)
std::vector< T > & | writable ()
const std::vector< T > & | makeInsecure () const
const uint8_t * | data () const
void | clean ()
void | clear ()
size_t | size () const
bool | empty () const
void | swap (secure_vector< T > &other)
void | resize (size_t s)

## Static Public Member Functions

static secure_vector< T > | getRandom (size_t size)

## Detailed Description

template<class T>
class dht::crypto::secure_vector< T >

Definition at line 498 of file crypto.h.

## Constructor & Destructor Documentation

## secure_vector() [1/5]

template<class T >

dht::crypto::secure_vector< T >::secure_vector | ( |  | ) |

inline

Definition at line 501 of file crypto.h.

## secure_vector() [2/5]

template<class T >

dht::crypto::secure_vector< T >::secure_vector | ( | unsigned | size | ) |

inline explicit

Definition at line 504 of file crypto.h.

## secure_vector() [3/5]

template<class T >

dht::crypto::secure_vector< T >::secure_vector | ( | unsigned | size,
|  | T | _item
| ) |  |

inline explicit

Definition at line 505 of file crypto.h.

## secure_vector() [4/5]

template<class T >

dht::crypto::secure_vector< T >::secure_vector | ( | const std::vector< T > & | c | ) |

inline explicit

Definition at line 506 of file crypto.h.

## secure_vector() [5/5]

template<class T >

dht::crypto::secure_vector< T >::secure_vector | ( | std::vector< T > && | c | ) |

inline

Definition at line 507 of file crypto.h.

## ~secure_vector()

template<class T >

dht::crypto::secure_vector< T >::~secure_vector | ( |  | ) |

inline

Definition at line 508 of file crypto.h.

## Member Function Documentation

## clean()

template<class T >

void dht::crypto::secure_vector< T >::clean | ( |  | ) |

inline

Definition at line 540 of file crypto.h.

## clear()

template<class T >

void dht::crypto::secure_vector< T >::clear | ( |  | ) |

inline

Definition at line 544 of file crypto.h.

## data()

template<class T >

const uint8_t * dht::crypto::secure_vector< T >::data | ( |  | ) | const

inline

Definition at line 538 of file crypto.h.

## empty()

template<class T >

bool dht::crypto::secure_vector< T >::empty | ( |  | ) | const

inline

Definition at line 547 of file crypto.h.

## getRandom()

template<class T >

static secure_vector< T > dht::crypto::secure_vector< T >::getRandom | ( | size_t | size | ) |

inline static

Definition at line 510 of file crypto.h.

## makeInsecure()

template<class T >

const std::vector< T > & dht::crypto::secure_vector< T >::makeInsecure | ( |  | ) | const

inline

Definition at line 537 of file crypto.h.

## operator=() [1/3]

template<class T >

secure_vector< T > & dht::crypto::secure_vector< T >::operator= | ( | const secure_vector< T > & | c | ) |

inline

Definition at line 517 of file crypto.h.

## operator=() [2/3]

template<class T >

secure_vector< T > & dht::crypto::secure_vector< T >::operator= | ( | secure_vector< T > && | c | ) |

inline

Definition at line 524 of file crypto.h.

## operator=() [3/3]

template<class T >

secure_vector< T > & dht::crypto::secure_vector< T >::operator= | ( | std::vector< T > && | c | ) |

inline

Definition at line 531 of file crypto.h.

## resize()

template<class T >

void dht::crypto::secure_vector< T >::resize | ( | size_t | s | ) |

inline

Definition at line 550 of file crypto.h.

## size()

template<class T >

size_t dht::crypto::secure_vector< T >::size | ( |  | ) | const

inline

Definition at line 546 of file crypto.h.

## swap()

template<class T >

void dht::crypto::secure_vector< T >::swap | ( | secure_vector< T > & | other | ) |

inline

Definition at line 549 of file crypto.h.

## writable()

template<class T >

std::vector< T > & dht::crypto::secure_vector< T >::writable | ( |  | ) |

inline

Definition at line 536 of file crypto.h.

The documentation for this class was generated from the following file:

- /tmp/slackbuilds_libs/opendht-1.7.4/include/opendht/crypto.h